/* =========================
   ROOT / DESIGN SYSTEM
========================= */

:root {

    /* COLORS */
    --blanc: #ffffff;
    --gris-clair: #F7F3ED;
    --gris-trans: #f7f3edab;
    --noir: #202b4f;
    --saumon: #f08079;
    --vert: #6c917a;

    /* BUTTONS */
    --btn-nav: #fa9f99;
    --btn-nav-hover: #f08079;
    --btn: #A8C3B0;
    --btn-hover: #94B39D;

    /* UI */
    --border: #E8E1D8;
    --shadow: 0 10px 35px rgba(0, 0, 0, .08);

    /* TYPO */
    --font-size: 1.5rem;

    /* SPACING */
    --marge-20: 20px;
    --marge-10: 10px;
    --section-padding: 10vw;
    --menu-gap: 28px;
    --mobile-gap: 18px;
    --btn-pad: 12px 22px;
    --icon: 20px;

    /* RADIUS */
    --radius: 100px;
    --radius-pill: 999px;

    /* LAYOUT */
    --container: 1000px;

    /* MOTION */
    --transition: .45s cubic-bezier(.22, 1, .36, 1);

    /* COLUMNS */
    --columns-2: repeat(2, 1fr);
    --columns-3: repeat(3, 1fr);
    --columns-4: repeat(4, 1fr);
    --columns-5: repeat(5, 1fr);
    --columns-2-titre: 1 / 3;
    --columns-3-titre: 1 / 4;
    --columns-4-titre: 1 / 5;
    --columns-5-titre: 1 / 6;
}

/* =========================
   BODY / BASE
========================= */

*,
*::before,
*::after {
    box-sizing: border-box;
    transition: all var(--transition);
}

html {
    scroll-behavior: smooth;
}

body {
    color: var(--noir);
    background: var(--gris-clair);
    margin: 0;
    font-family: "le-havre-rounded", sans-serif;
    font-weight: 400;
    font-style: normal;
}

img {
    width: 100%;
}

/* =========================
   FONT
========================= */

h1,
h2,
h3,
h4 {
    font-family: "mezzotint-cf", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin: 0 0 var(--marge-20) 0;
    color: var(--vert);
}

h1 {
    font-size: calc(1.5 * var(--font-size));
}

h2 {
    font-size: calc(1.4 * var(--font-size));
}

h3 {
    font-size: calc(1.4 * var(--font-size));
    font-family: "le-havre-rounded", sans-serif;
    font-weight: bold;
}

h1 b,
h2 b {
    font-weight: 400;
    color: var(--saumon);
}

p:not(footer p) {
    max-width: calc(var(--container) / 2);
    font-size: var(--font-size);
    margin: 0 0 var(--marge-20) 0;
    letter-spacing: 3%;
}

p strong {
    color: var(--saumon);
}

p b,
p strong {
    font-weight: 400;
    color: var(--saumon)
}

p a {
    font-size: var(--font-size);
    letter-spacing: inherit;
}

p a:hover {
    text-decoration: underline;
}

p.legend {
    color: var(--saumon);
    font-size: calc(0.9 * var(--font-size));
}

i {
    font-style: italic;
}

/* =========================
   LINK
========================= */

a {
    text-decoration: none;
    color: var(--saumon);
    font-size: calc(0.8 * var(--font-size));
    letter-spacing: 10%;
}

button {
    font-family: "le-havre-rounded", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-transform: uppercase;
    letter-spacing: 10%;
}

a.button {
    margin: auto;
    display: block;
    width: fit-content;
    background: var(--vert);
    color: var(--blanc);
    border: 2px solid var(--vert);
    padding: var(--btn-pad);
    border-radius: var(--radius);
    opacity: 1;
    transform: translateY(0);
}

a.button:hover {
    opacity: 0.8;
    transform: translateY(-3px);
}

.button+.button {
    background: var(--saumon);
}

.button.loupe::after {
    content: "";
    display: inline-block;
    background-image: url("../images/icon_recherche.svg");
    background-size: contain;
    background-repeat: no-repeat;
    vertical-align: bottom;
    width: var(--icon);
    height: var(--icon);
    margin: 0 0 0 var(--icon);
    transition: margin var(--transition);
}

.button.loupe:hover::after {
    margin: 0 calc(var(--icon) / 2);
}

/* =========================
   NAVBAR BASE
========================= */
.site-header {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 80vw;
    max-width: var(--container);
    z-index: 1000;
    border-radius: var(--radius);
    background: rgba(247, 243, 237, .15);
    backdrop-filter: blur(10px);
    border: 1px solid var(--border);
    box-shadow: var(--shadow);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 14px 25px;
}

.navbar .logo {
    display: flex;
    flex-direction: column;
    width: fit-content;
}

.navbar .logo img {
    height: 50px;
    width: auto;
    margin-left: 10px;
}

/* =========================
   NAVBAR DESKTOP
========================= */
.nav-links {
    display: flex;
    align-items: center;
    gap: var(--menu-gap);
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-links a {
    color: var(--noir);
    font-weight: 500;
    transition: .25s ease;
}

.nav-links a:hover {
    color: var(--saumon);
    text-decoration: underline;
}

.navbar a.kofi-button, footer a.kofi-button {
    border-radius: var(--radius) !important;
}

/* =========================
   NAVBAR MOBILE
========================= */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: var(--font-size);
    color: var(--noir);
    cursor: pointer;
}

@media(max-width:950px) {

    .site-header {
        top: 0;
        left: 0;
        transform: none;
        width: 100%;
        max-width: none;
        border-radius: 0;
        border-left: none;
        border-right: none;
    }

    .menu-toggle {
        display: block;
        z-index: 1200;
    }

    .nav-links {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: rgba(247, 243, 237, .96);
        backdrop-filter: blur(18px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 32px;
        z-index: 1100;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transition: var(--transition);
    }

    .nav-links a {
        font-size: calc(1.5 * var(--font-size));
    }

    .nav-links.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }
}

/* =========================
   SECTION
========================= */

section {
    width: 100%;
}

article {
    margin: auto;
    max-width: var(--container);
    width: 80vw;
}

section:not(.hero) article {
    padding: clamp(88px, calc(50px + var(--section-padding)), 100px) 0 0 0;
}

article *:last-child {
    margin-bottom: 0;
}

footer.small {
    font-size: calc(0.7 * var(--font-size));
    font-weight: 100;
    color: var(--vert);
    letter-spacing: 5%;
    text-align: center;
}

footer a {
    color: var(--vert);
    font-size: inherit;
    letter-spacing: 5%;
}

.footer {
    background-color: var(--blanc);
    padding: 50px 0;
    text-align: left;
    margin-top: 100px;
}
.footer footer {
    max-width: var(--container);
    width: 80vw;
    margin: auto;
    font-size: calc(0.8 * var(--font-size));
    gap: 0 50px;
    align-items: baseline;
}
.footer footer div :last-child {
    margin-bottom: 0;
}

.footer footer ul {
    list-style-type: none;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0;
    line-height: 1.5;
}
.footer footer a {
    color: var(--noir);
}
.footer footer a:hover {
    text-decoration: underline;
}

/* =========================
   HERO
========================= */

.hero {
    background-image: url("../images/hero_banner.jpg");
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: cover;
    background-attachment: fixed;
    padding: clamp(88px, calc(88px + var(--section-padding)), 150px) 0;
}

.hero footer {
    position: fixed;
    right: var(--marge-10);
    bottom: var(--marge-10);
}

.hero footer p {
    text-align: right;
    margin: 0;
}

.hero article {
    display: grid;
    grid-template-columns: var(--columns-2);
}

.hero article a.button {
    margin: 0 var(--marge-20) calc(2 * var(--marge-20)) 0;
}

#kofiframe {
    border: none;
    width: 100%;
    padding: 4px;
    background: transparent;
    height: 712px;
    border-radius: var(--menu-gap);
}

/* =========================
   HOME / ABOUT
========================= */
.home {
    height: 100vh;
    position: absolute;
}

.home article * {
    max-width: calc(var(--container) / 2);
}

.home img.logo {
    height: var(--section-padding);
    min-height: 100px;
    width: auto;
}

.sr-only {
    /* pour masquer le h1 */
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/* ======================
    GRID
====================== */

.container {
    min-height: 100vh;
}

.par2,
.par3,
.par5 {
    display: grid;
    gap: var(--marge-20);
}

.par2 {
    grid-template-columns: var(--columns-2);
}
.par2 .titre {
    grid-column: var(--columns-2-titre);
}
.par3 {
    grid-template-columns: var(--columns-3);
}
.par3 .titre {
    grid-column: var(--columns-3-titre);
}
.par5 {
    grid-template-columns: var(--columns-5);
}
.par5 .titre {
    grid-column: var(--columns-5-titre);
}

.container article:first-of-type:not(.filters):not(.cards) {
    text-align: center;
}

.container article:first-of-type:not(.filters):not(.cards) h2:has(+ h3) {
    color: var(--saumon);
}

.container .cards .mail {
    background-color: var(--saumon);
    display: block;
    padding: var(--marge-20);
    box-shadow: var(--shadow);
    border-radius: var(--marge-20);
    font-weight: 100;
}

.container .mail :last-child {
    text-decoration: underline;
}

.container .mail h3 {
    color: var(--blanc);
}

.container .cards h3 {
    letter-spacing: 0;
}

.cards a:not(.button) {
    display: block;
    padding: var(--marge-20);
    background-color: var(--blanc);
    box-shadow: var(--shadow);
    border-radius: var(--marge-20);
    font-weight: 100;
    transform: translateY(0);
    transition: transform var(--transition);
}

.cards a:not(.button):hover {
    transform: translateY(-10px);
}

.cards.vignette p:last-of-type {
    color: var(--noir);
    font-size: calc(0.9 - var(--font-size));
}

.container article a *:nth-child(1),
.hero.punition article div p:first-of-type {
    margin-bottom: var(--marge-10);
    color: var(--saumon);
    text-transform: uppercase;
    font-size: calc(0.7 * var(--font-size));
}

.container article a *:nth-child(3),
.container article .mail *:nth-child(2) {
    color: var(--noir);
    font-size: calc(0.9 * var(--font-size));
}

.container .cards a *:nth-child(4),
.hero.punition article div p:is(:nth-child(4), :nth-child(5)) {
    color: gray;
    font-size: calc(0.7 * var(--font-size));
    letter-spacing: 10%;
    margin: 0;
}

.container.center article:not(.filters, .cards) * {
    text-align: center;
    margin: auto;
}

/* ======================
    FILTERS
====================== */

.filters {
    gap: var(--marge-10);
    margin-bottom: var(--marge-20);
    grid-template-columns: var(--columns-5);
}

.filter-btn {
    border: none;
    cursor: pointer;
    width: 100%;
    padding: 10px 18px;
    border-radius: 999px;
    background: var(--blanc);
    color: var(--noir);
    box-shadow: var(--shadow);
    font-size: calc(0.7 * var(--font-size));
}

.filter-btn:hover {
    transform: translateY(-3px);
}

.filter-btn.active {
    background: var(--saumon);
    color: var(--blanc);
}

.hidden {
    display: none !important;
}

/* =========================
   PDF VIEWER
========================= */
.pdf-viewer {
    overflow: hidden;
    border-radius: var(--marge-10);
    border: none;
}

.pdf-viewer iframe {
    border-radius: var(--marge-10);
    border: none;
    min-height: 70vh;
}

.pdf-img {
    width: 100%;
    min-height: 70vh;
    border-radius: var(--marge-10);
    background-color: #282828;
    position: relative;
}

.pdf-img .pdf-fond {
    width: 100%;
    height: 50px;
    margin-bottom: 5px;
    background-color: #3C3C3C;
    background-image:
        url("../images/pdf-gauche.png"),
        url("../images/pdf-milieu.png"),
        url("../images/pdf-droite.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left, center, right;
    border-radius: var(--marge-10) var(--marge-10) 0 0;
}

.pdf-img img {
    width: 80%;
    height: calc(70vh - 55px);
    margin: auto;
    display: block;
    object-fit: cover;
    object-position: top;
}

.pdf-img .pdf-overlay {
    background-image: linear-gradient(transparent, black);
    width: 100%;
    min-height: 70vh;
    height: 100%;
    position: absolute;
    top: 0;
    border-radius: 0 0 var(--marge-10) var(--marge-10);
}

.pdf-img .pdf-overlay a {
    transform: translate(-50%, 0);
    top: 50%;
    position: absolute;
    left: 50%;
    background-color: var(--saumon);
    border: 2px solid var(--saumon);
}

.pdf-img .pdf-overlay a:hover {
    transform: translate(-50%, -5%);
}

.fallback-pdf {
    display: none;
}

@media(max-width:700px) {

    .pdf-img,
    .pdf-img .pdf-overlay {
        min-height: auto;
    }

    .pdf-img img {
        width: 90%;
        height: auto;
        padding-bottom: 5px;
    }
}

/* =========================
   RESPONSIVE
========================= */
@media(max-width:1000px) {
    :root {
        --columns-2: repeat(1, 1fr);
        --columns-3: repeat(2, 1fr);
        --columns-4: repeat(2, 1fr);
        --columns-5: repeat(3, 1fr);
        --columns-2-titre: 1 / 2;
        --columns-3-titre: 1 / 3;
        --columns-4-titre: 1 / 3;
        --columns-5-titre: 1 / 4;
    }
}

@media(max-width:700px) {
    :root {
        --columns-3: repeat(1, 1fr);
        --columns-5: repeat(2, 1fr);
        --columns-3-titre: 1 / 2;
        --columns-5-titre: 1 / 3;
    }

    .legend {
        background-color: var(--gris-trans);
        padding: var(--marge-10);
        border-radius: var(--marge-20);
        text-shadow: 0 0 5px var(--blanc);
    }
}

/* ======================
COOKIES
====================== */

.cookie-banner {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 700px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    padding: 18px 22px;
    background: rgba(247, 243, 237, .25);
    backdrop-filter: blur(10px);
    border: 1px solid var(--border);
    border-radius: 22px;
    box-shadow:
        0 10px 30px rgba(0, 0, 0, .08);
    z-index: 9999;
}

.cookie-banner p {
    margin: 0;
    font-size: calc(0.8 * var(--font-size));
}

.cookie-banner a {
    text-decoration: none;
    font-size: calc(0.8 * var(--font-size));
}

.cookie-banner button {
    border: none;
    cursor: pointer;
    padding: 12px 18px;
    border-radius: 999px;
    background: var(--btn);
    color: white;
    transition: .25s;
    box-shadow: 0 0 var(--marge-20) var(--gris-clair);
}

.cookie-banner button:hover {
    background: var(--btn-hover);
}

/* animation disparition */
.cookie-banner.hide {
    opacity: 0;
    transform:
        translateX(-50%) translateY(20px);
    pointer-events: none;
    transition: .4s ease;
}

/* mobile */
@media(max-width:700px) {
    .cookie-banner {
        flex-direction: column;
        align-items: flex-start;
    }
}

/* ======================
scroll-to-top button
====================== */
#topBtn {

    position: fixed;

    right: 30px;
    bottom: 30px;

    width: 50px;
    height: 50px;

    border: none;
    border-radius: 50%;

    background: var(--vert);
    color: var(--blanc);

    box-shadow: var(--shadow);

    font-size: 1.2rem;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;

    z-index: 999;

    opacity: 0;
    visibility: hidden;

    transform: translateY(10px);

    transition: var(--transition);
}

#topBtn:hover {

    background: var(--btn-nav-hover);
    transform: translateY(-4px);
}

#topBtn.show {

    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}